import { jsx } from 'react/jsx-runtime';
import { useEffect } from 'react';
import { useTheme, Box } from '@chakra-ui/react';
import { usePopper } from '@chakra-ui/popper';

const MenuPortal = (props) => {
    const theme = useTheme();
    const { popperRef, referenceRef } = usePopper({
        strategy: "fixed",
        matchWidth: true,
    });
    useEffect(() => {
        referenceRef(props.controlElement);
    }, [props.controlElement]);
    return (jsx(Box, { ref: popperRef, zIndex: theme.zIndices.tooltip, children: props.children }));
};
const customComponents = {
    MenuPortal,
};

export { customComponents };
